# Class Packer

- Defined in export/packer/packer.ts:22

#####
Index

### Constructors

constructor

### Methods

toBase64String
toBlob
toBuffer
toStream
toString

## Constructors

### constructor

- new Packer(): Packer

- #### Returns Packer

## Methods

### `Static` toBase64String

- toBase64String(file, prettify?): Promise<string>

- #### Parameters

  - file: Document
  - `Optional` prettify: boolean | "" | " " | " " | "\t"

  #### Returns Promise<string>

  - Defined in export/packer/packer.ts:45

### `Static` toBlob

- toBlob(file, prettify?): Promise<Blob>

- #### Parameters

  - file: Document
  - `Optional` prettify: boolean | "" | " " | " " | "\t"

  #### Returns Promise<Blob>

  - Defined in export/packer/packer.ts:56

### `Static` toBuffer

- toBuffer(file, prettify?): Promise<Buffer>

- #### Parameters

  - file: Document
  - `Optional` prettify: boolean | "" | " " | " " | "\t"

  #### Returns Promise<Buffer>

  - Defined in export/packer/packer.ts:34

### `Static` toStream

- toStream(file, prettify?): Stream

- #### Parameters

  - file: Document
  - `Optional` prettify: boolean | "" | " " | " " | "\t"

  #### Returns Stream

  - Defined in export/packer/packer.ts:67

### `Static` toString

- toString(file, prettify?): Promise<string>

- #### Parameters

  - file: Document
  - `Optional` prettify: boolean | "" | " " | " " | "\t"

  #### Returns Promise<string>

  - Defined in export/packer/packer.ts:23

Generated using TypeDoc